Bug 1139542 - Agent does not work with IBM16 JDK
Summary: Agent does not work with IBM16 JDK
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Agent
Version: JON 3.3.0
Hardware: Unspecified
OS: Linux
urgent
urgent
Target Milestone: ER03
: JON 3.3.0
Assignee: Michael Burman
QA Contact: Garik Khachikyan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-09 07:37 UTC by Libor Fuka
Modified: 2015-01-04 22:00 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-11 14:03:49 UTC


Attachments (Terms of Use)

Description Libor Fuka 2014-09-09 07:37:44 UTC
Description of problem:
JON 3.3.0.ER2 agent does not start with IBM16 JDK.


Version-Release number of selected component (if applicable):
JON 3.3.0.ER2

How reproducible:
always

Steps to Reproduce:
1. Start agent with IBM16

Actual results:
07:56:25 log4j:WARN Continuable parsing error 1 and column 121
07:56:25 log4j:WARN Document root element "log4j:configuration", must match DOCTYPE root "null".
07:56:25 log4j:WARN Continuable parsing error 1 and column 121
07:56:25 log4j:WARN Document is invalid: no grammar found.
07:56:25 Exception in thread "main" java.lang.NoSuchMethodError: javax/xml/stream/XMLInputFactory.newFactory()Ljavax/xml/stream/XMLInputFactory;
07:56:25 	at org.rhq.enterprise.agent.AgentMain.addMissingDoctypeDeclaration(AgentMain.java:1387)
07:56:25 	at org.rhq.enterprise.agent.AgentMain.loadConfigurationFile(AgentMain.java:1326)
07:56:25 	at org.rhq.enterprise.agent.AgentMain.checkInitialConfiguration(AgentMain.java:3558)
07:56:25 	at org.rhq.enterprise.agent.AgentMain.processArguments(AgentMain.java:3333)
07:56:25 	at org.rhq.enterprise.agent.AgentMain.<init>(AgentMain.java:554)
07:56:25 	at org.rhq.enterprise.agent.AgentMain.main(AgentMain.java:423)

Comment 1 Michael Burman 2014-09-11 17:53:28 UTC
Fixed in master:

commit 8b8c1efdc1f74ff4f549bc2f331d426801a2cfee
Author: Michael Burman <miburman@redhat.com>
Date:   Thu Sep 11 20:52:07 2014 +0300

    [BZ 1139542] Change newFactory() to newInstance() to support IBM JDK 1.6
    
    (cherry picked from commit b0cdaefd53ce2bfb80e3b2d5439e56cf5936dd84)

Comment 2 John Mazzitelli 2014-09-11 18:02:10 UTC
Hopefully, that addresses this problem. Cherry picked to 3.3 branch:

commit b9a32960db9880a6a49d4508e8857714341f8bd4
Author: Michael Burman <miburman@redhat.com>
Date:   Thu Sep 11 20:52:07 2014 +0300

    [BZ 1139542] Change newFactory() to newInstance() to support IBM JDK 1.6
    
    (cherry picked from commit b0cdaefd53ce2bfb80e3b2d5439e56cf5936dd84)
    (cherry picked from commit 8b8c1efdc1f74ff4f549bc2f331d426801a2cfee)
    
    Signed-off-by: John Mazzitelli <mazz@redhat.com>

Comment 3 Simeon Pinder 2014-09-17 02:49:11 UTC
Moving to ON_QA as available for test with the following brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=385149

Comment 5 Libor Fuka 2014-09-17 08:28:29 UTC
Currently testing on IBM16 with EWS plugin.....
Libor

Comment 8 Libor Fuka 2014-09-18 12:22:24 UTC
I also verified JON 3.3.0.ER3 + EWS 2.1.0 on IBM16 RHEL5, 6, 7
You can set verified.

Comment 9 Garik Khachikyan 2014-09-18 12:45:24 UTC
perfect, thanks a lot Libor.


Note You need to log in before you can comment on or make changes to this bug.